package rosa_test

import (
	"testing"

	"hakurei.app/internal/pkg"
	"hakurei.app/internal/rosa"
)

func TestLLVMInputs(t *testing.T) {
	const wantInputCount = 470

	_, llvm := rosa.Native().Std().MustLoad(rosa.H("llvm"))
	var n int
	for range pkg.Inputs(llvm) {
		n++
	}
	if n != wantInputCount {
		t.Errorf("Inputs: %d, want %d", n, wantInputCount)
	}
}
